<?php /*

  This file is part of a child theme called Nannypro.
  Functions in this file will be loaded before the parent theme's functions.
  For more information, please read
  https://developer.wordpress.org/themes/advanced-topics/child-themes/

*/

// this code loads the parent's stylesheet (leave it in place unless you know what you're doing)

function your_theme_enqueue_styles() {

    $parent_style = 'parent-style';

    wp_enqueue_style( $parent_style, 
      get_template_directory_uri() . '/style.css'); 

    wp_enqueue_style( 'child-style', 
      get_stylesheet_directory_uri() . '/style.css', 
      array($parent_style), 
      wp_get_theme()->get('Version') 
    );
}

add_action('wp_enqueue_scripts', 'your_theme_enqueue_styles');

/*  Add your own functions below this line.
    ======================================== */ 


    function add_custom_jquery_script() {
      $ptitle = "hello";
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function($) {
            const pageTitle = 'hello'; // Get the page title

            $('img').each(function() {
                if (!$(this).attr('alt') || $(this).attr('alt').trim() === "") {
                    $(this).attr('alt', pageTitle); // Set alt text to page title
                }
            });
        });
    </script>
    <?php
}
add_action('wp_footer', 'add_custom_jquery_script');

