<?php /* Template Name: Onboarding Process */ ?>
 <?php echo get_header(); ?>
 
<main class="inneer-page">
     

     <section class="banner">
         <div class="banner-content">
             <div class="container">
                 <h3>Onboarding Process</h3>
             </div>
         </div>
         <img src="<?php echo get_stylesheet_directory_uri(); ?>/img/inner-banner.png" />
     </section>

        <section class="onboarding-wrapper">
        <div class="container">
        <?php $section_i = 1; // Initialize section counter ?>
        <?php if( have_rows('process') ): ?>
        <?php while( have_rows('process') ): the_row(); ?>
            <?php
                // Determine color based on the section counter
                switch ($section_i % 3) {
                case 1:
                    $cla = 'green-arrow';
                    break;
                case 2:
                    $cla = 'red-arrow';
                    break;
                case 0:
                    $cla = 'blue-arrow';
                    break;
                }
                ?>
                <div class="row mb-5">
                    <div class="col-12 col-sm-6 col-md-4 col-lg-3">
                        <div class="<?php echo $cla; ?>">
                            <span><?php echo get_sub_field('title'); ?></span>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-md-8 col-lg-9 d-flex align-items-center">
                        <p>
                            <?php echo get_sub_field('content'); ?>
                        </p>
                    </div>
                </div>
                <?php $section_i++; // Increment section counter ?>
                <?php endwhile; ?>
                <?php endif; ?>             
        </div>

        <div class="container">
            <div class="table-wrapper">
                <h4>Type of Care Assignments</h4>
                <table>
                    <thead>
                        <tr>
                            <th>Type Of Employment</th>
                            <th>Part Time (PT)</th>
                            <th>Full Time (FT)</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                        <?php
            $z=0;
            if( have_rows('table') ):

                while( have_rows('table') ) : the_row();
                $z=$z+1;
                ?>
                        <tr>
                            <td>
                                <strong><?php echo get_sub_field('type_of_employment'); ?></strong>
                            </td>
							<?php if($z!=2){?>
                            <td>
                                <?php echo get_sub_field('part_time_pt'); ?>
                            </td>
                            <td>
                                <?php echo get_sub_field('full_time_ft'); ?>
                            </td>
							<?php } else {?>
							<td colspan="2">
                                <?php echo get_sub_field('part_time_pt'); ?>
                            </td>
							<?php } ?>
                        </tr>
                <?php
                    endwhile;
                endif;?>
                         
                        
                    </tbody>
                </table>
            </div>
        </div>
    
      </section>





    </main>
<section class="last-minute-report-section home-ftr">
        <div class="cartoon-part1">
            <img src="<?php echo get_stylesheet_directory_uri(); ?>/img/sun.png" alt="">
        </div>
        <div class="cartoon-part2">
            <img src="<?php echo get_stylesheet_directory_uri(); ?>/img/plane.png" alt="">
        </div>
        <div class="cartoon-part5">
            <img src="<?php echo get_stylesheet_directory_uri(); ?>/img/flower.png" alt="">
        </div>
        <div class="container">
            <div class="content-block">
                <div class="content-item">
                   <h4><?php the_field('top_title'); ?></h4>
                   <?php the_field('top_content'); ?>
                    <a class="cta" href="<?php echo site_url(); ?>/contact-us/">Contact Us</a>
                </div>
                <div class="cartoon-part3">
                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/img/cat-icon.png" alt="">
                </div>
                <div class="cartoon-part4">
                    <img src="<?php echo get_stylesheet_directory_uri(); ?>/img/girl-icon.png" alt="">
                </div>
            </div>
       
        </div>
    </section>
	<style>
	table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
}
	</style>
 <?php echo get_footer(); ?>